version: "3"

services:
    web:
        image: node:10.16.0-jessie
        working_dir: /usr/app
        container_name: web
        command: npm run dev
        volumes:
            - ./src:/usr/app/
        ports:
            - "3000:3000"
        depends_on:
            - mariadb

    mariadb:
        image: mariadb:10.4
        container_name: db
        restart: always
        volumes:
            - ./mariadb/data:/var/lib/mysql
            - ./mariadb/configs/my.conf:/etc/mysql/my.conf
        environment:
            MYSQL_ROOT_PASSWORD: qwerty
            MYSQL_DATABASE: dbname
            MYSQL_USER: user
            MYSQL_PASSWORD: user

    phpmyadmin:
        image: phpmyadmin/phpmyadmin
        container_name: phpmyadmin
        links:
            - mariadb:db
        ports:
            - 8765:80
        environment:
            MYSQL_ROOT_PASSWORD: qwerty
        depends_on:
            - mariadb
